summaryrefslogtreecommitdiff
path: root/postfix
diff options
context:
space:
mode:
authorJonas Smedegaard <dr@jones.dk>2006-12-14 14:31:58 +0000
committerJonas Smedegaard <dr@jones.dk>2006-12-14 14:31:58 +0000
commitac2e0a26e40f0160699ac00a83ed594998a69a1b (patch)
treefc1d8aaa2e59a80a92b0e4857cc027a61bc7ab5c /postfix
parente2244ad946a9e8e80baa9f3f4acb7868ec58bdc4 (diff)
New script to purge old trashed mails.
Diffstat (limited to 'postfix')
-rwxr-xr-xpostfix/cron.weekky/local-purgeoldtrashedmails9
1 files changed, 9 insertions, 0 deletions
diff --git a/postfix/cron.weekky/local-purgeoldtrashedmails b/postfix/cron.weekky/local-purgeoldtrashedmails
new file mode 100755
index 0000000..205585b
--- /dev/null
+++ b/postfix/cron.weekky/local-purgeoldtrashedmails
@@ -0,0 +1,9 @@
+#!/bin/sh
+#
+# Purge trashed mails older than 2 months
+
+set -e
+
+find /home/*/Maildir/.Trash /home/*/Maildir/.trash /home/*/Maildir/.Deleted\ Messages /home/*/Maildir/.Deleted\ Items -type f -mtime +60 -exec rm -f '{}' ';'
+
+exit 0